AM261x MCU+ SDK: LLDEnetCfg_t Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
LLDEnetCfg_t Struct Reference
APIs for Enet LLD network

## Detailed Description

Configuration structure for LLDEnet.

## Data Fields
uint32_t | enetType
uint32_t | instId
void(* | txNotifyCb )(void *cbArg)
void(* | rxNotifyCb )(void *cbArg)
void * | txCbArg
void * | rxCbArg
uint8_t | dstMacAddr [6]
uint32_t | vlanId
uint32_t | ethType
uint32_t | nTxPkts
uint32_t | nRxPkts [MAX_NUM_RX_DMA_CH_PER_INSTANCE]
uint32_t | pktSize
int | dmaTxChId
int | dmaRxChId [MAX_NUM_RX_DMA_CH_PER_INSTANCE]
bool | unusedDmaRx
bool | unusedDmaTx
bool | dmaTxShared
bool | dmaRxShared
bool | dmaRxOwner
uint32_t | numRxChannels

## Field Documentation

## ◆ enetType

uint32_t LLDEnetCfg_t::enetType

Ethernet type.

## ◆ instId

uint32_t LLDEnetCfg_t::instId

Instance ID.

## ◆ txNotifyCb

void(* LLDEnetCfg_t::txNotifyCb) (void *cbArg)

Transmit notification callback function pointer.

## ◆ rxNotifyCb

void(* LLDEnetCfg_t::rxNotifyCb) (void *cbArg)

Receive notification callback function pointer.

## ◆ txCbArg

void* LLDEnetCfg_t::txCbArg

Argument to be passed to the transmit notification callback function.

## ◆ rxCbArg

void* LLDEnetCfg_t::rxCbArg

Argument to be passed to the receive notification callback function.

## ◆ dstMacAddr

uint8_t LLDEnetCfg_t::dstMacAddr[6]

Destination MAC address to filter RX packets. If all bytes of MAC addres are 0, no filter is applied.

## ◆ vlanId

uint32_t LLDEnetCfg_t::vlanId

VLAN ID to filter RX packets. If all bytes of dstMacAddr are 0, no filter is applied.

## ◆ ethType

uint32_t LLDEnetCfg_t::ethType

Ethernet Type to filter RX packets.

## ◆ nTxPkts

uint32_t LLDEnetCfg_t::nTxPkts

Number of buffers allocated for transmit packets Set to 0 to use the default value assigned by the implementation.

## ◆ nRxPkts

uint32_t LLDEnetCfg_t::nRxPkts[MAX_NUM_RX_DMA_CH_PER_INSTANCE]

Number of buffers allocated for receive packets Set to 0 to use the default value assigned by the implementation.

## ◆ pktSize

uint32_t LLDEnetCfg_t::pktSize

Transmit and receive maximum packet size. Set to 0 to use the default value assigned by the implementation.

## ◆ dmaTxChId

int LLDEnetCfg_t::dmaTxChId

DMA transmit channel ID. Set to -1 for dynamic allocation, only supported by Jacinto.

## ◆ dmaRxChId

int LLDEnetCfg_t::dmaRxChId[MAX_NUM_RX_DMA_CH_PER_INSTANCE]

DMA receive channel ID. Set to -1 for dynamic allocation, only supported by Jacinto.

## ◆ unusedDmaRx

bool LLDEnetCfg_t::unusedDmaRx

true: won't use DMA RX; false: will use DMA RX This is used when there is no interest in receiving data.

## ◆ unusedDmaTx

bool LLDEnetCfg_t::unusedDmaTx

true: won't use DMA TX; false: will use DMA TX This is used when there is no interest in sending data.

## ◆ dmaTxShared

bool LLDEnetCfg_t::dmaTxShared

Only the Sitara supports this param. true: the dmaTxChId is shared between apps; false: not shared

## ◆ dmaRxShared

bool LLDEnetCfg_t::dmaRxShared

Only the Sitara AM273x supports this param. true: the dmaRxChId is shared between apps; false: not shared

## ◆ dmaRxOwner

bool LLDEnetCfg_t::dmaRxOwner

Only the Sitara AM273x supports this param. true: the LLDEnet_t owns this RX DMA channel, it has the full permission to access the SDK DMA API; false: the LLDEnet_t is unable to to call SDK RX DMA API This is used when there are multiple LLDEnet_t shares the same DMA RX channel. User has to make sure only one LLDEnet_t has dmaRxOwner is set to true if the DMA channel share function is used.

## ◆ numRxChannels

uint32_t LLDEnetCfg_t::numRxChannels

Number of Rx DMA channels, only ICSSG peripheral has more than 1 Rx DMA channels.